class Origami::CheckInProcessController < BaseOrigamiController

	def check_in_process
		lookup_checkout_time = Lookup.collection_of("checkout_time")
		checkout_at = Time.now.utc

		if !lookup_checkout_time.nil?
			if lookup_checkout_time[0][0] == 'hr'
				checkout_at = checkout_at + (lookup_checkout_time[0][1]).to_i.hour
			else
				checkout_at = checkout_at + (lookup_checkout_time[0][1]).to_i.minutes
			end
		end
		@dining_facility = DiningFacility.find(params[:dining_id])
		@dining_facility.status = "occupied"
		@dining_facility.save!

		if @dining_facility.type == "Table"
			type = "TableBooking"
		else
			type = "RoomBooking"
		end
		
		@booking = Booking.create({:dining_facility_id => params[:dining_id],:type => type,
                                :checkin_by=>current_login_employee.name,:checkin_at => Time.now.utc,:checkout_at =>checkout_at, :booking_status => "assign", :reserved_at => checkout_at, :reserved_by => current_login_employee.name })
		@booking.save!

		respond = {:status => 'ok'}
		respond_to do |format|
			format.json { render json: respond }
		end
	end
end
